com.corticon.rulesemf.operationsmodel

## Interface OperationsmodelPackage.Literals

- Enclosing interface:
    OperationsmodelPackage

      public static interface OperationsmodelPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.eclipse.emf.ecore.EClass` | `EXTENDED_OPERATOR_SET` The meta object literal for the '`Extended Operator Set`' class
    `static org.eclipse.emf.ecore.EAttribute` | `EXTENDED_OPERATOR_SET__LANGUAGE_CODE` The meta object literal for the 'Language Code' attribute list feature
    `static org.eclipse.emf.ecore.EReference` | `EXTENDED_OPERATOR_SET__SERVICE_CALLOUTS` The meta object literal for the 'Service Callouts' containment reference list feature
    `static org.eclipse.emf.ecore.EReference` | `EXTENDED_OPERATOR_SET__STAND_ALONE_EXTENSIONS` The meta object literal for the 'Stand Alone Extensions' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `EXTENDED_OPERATOR_SET__STAND_ALONE_FOLDER_NAME` The meta object literal for the 'Stand Alone Folder Name' attribute list feature
    `static org.eclipse.emf.ecore.EReference` | `EXTENDED_OPERATOR_SET__TYPE_EXTENSIONS` The meta object literal for the 'Type Extensions' containment reference list feature
    `static org.eclipse.emf.ecore.EEnum` | `EXTENDED_OPERATOR_TYPE` The meta object literal for the '`Extended Operator Type`' enum
    `static org.eclipse.emf.ecore.EClass` | `METHOD` The meta object literal for the '`Method`' class
    `static org.eclipse.emf.ecore.EAttribute` | `METHOD__NAME` The meta object literal for the 'Name' attribute list feature
    `static org.eclipse.emf.ecore.EAttribute` | `METHOD__PARAMETERS` The meta object literal for the 'Parameters' attribute list feature
    `static org.eclipse.emf.ecore.EAttribute` | `METHOD__TOOLTIP` The meta object literal for the 'Tooltip' attribute list feature
    `static org.eclipse.emf.ecore.EClass` | `OPERATOR_NODE` The meta object literal for the '`Operator Node`' class
    `static org.eclipse.emf.ecore.EReference` | `OPERATOR_NODE__CHILDREN` The meta object literal for the 'Children' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `OPERATOR_NODE__ID` The meta object literal for the 'Id' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `OPERATOR_NODE__NAME` The meta object literal for the 'Name' attribute list feature
    `static org.eclipse.emf.ecore.EAttribute` | `OPERATOR_NODE__OPERATOR_NODE_TYPE` The meta object literal for the 'Operator Node Type' attribute feature
    `static org.eclipse.emf.ecore.EAttribute` | `OPERATOR_NODE__PARAMETERS` The meta object literal for the 'Parameters' attribute list feature
    `static org.eclipse.emf.ecore.EReference` | `OPERATOR_NODE__PARENT` The meta object literal for the 'Parent' container reference feature
    `static org.eclipse.emf.ecore.EAttribute` | `OPERATOR_NODE__TOOLTIP` The meta object literal for the 'Tooltip' attribute list feature
    `static org.eclipse.emf.ecore.EEnum` | `OPERATOR_NODE_TYPE` The meta object literal for the '`Operator Node Type`' enum
    `static org.eclipse.emf.ecore.EClass` | `OPERATOR_TREE` The meta object literal for the '`Operator Tree`' class
    `static org.eclipse.emf.ecore.EReference` | `OPERATOR_TREE__ROOT` The meta object literal for the 'Root' containment reference feature
    `static org.eclipse.emf.ecore.EClass` | `SERVICE_CALLOUT` The meta object literal for the '`Service Callout`' class
    `static org.eclipse.emf.ecore.EReference` | `SERVICE_CALLOUT__METHODS` The meta object literal for the 'Methods' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `SERVICE_CALLOUT__NAME` The meta object literal for the 'Name' attribute list feature
    `static org.eclipse.emf.ecore.EClass` | `STAND_ALONE_EXTENSION` The meta object literal for the '`Stand Alone Extension`' class
    `static org.eclipse.emf.ecore.EReference` | `STAND_ALONE_EXTENSION__METHODS` The meta object literal for the 'Methods' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `STAND_ALONE_EXTENSION__NAME` The meta object literal for the 'Name' attribute list feature
    `static org.eclipse.emf.ecore.EClass` | `TYPE_EXTENSION` The meta object literal for the '`Type Extension`' class
    `static org.eclipse.emf.ecore.EReference` | `TYPE_EXTENSION__METHODS` The meta object literal for the 'Methods' containment reference list feature
    `static org.eclipse.emf.ecore.EAttribute` | `TYPE_EXTENSION__TYPE` The meta object literal for the 'Type' attribute feature

- - ### Field Detail

    - #### OPERATOR_TREE

          static final org.eclipse.emf.ecore.EClass OPERATOR_TREE

      The meta object literal for the '`Operator Tree`' class.
      See Also:
        `OperatorTreeImpl`, `OperationsmodelPackageImpl.getOperatorTree()`

    - #### OPERATOR_TREE__ROOT

          static final org.eclipse.emf.ecore.EReference OPERATOR_TREE__ROOT

      The meta object literal for the 'Root' containment reference feature.

    - #### OPERATOR_NODE

          static final org.eclipse.emf.ecore.EClass OPERATOR_NODE

      The meta object literal for the '`Operator Node`' class.
      See Also:
        `OperatorNodeImpl`, `OperationsmodelPackageImpl.getOperatorNode()`

    - #### OPERATOR_NODE__ID

          static final org.eclipse.emf.ecore.EAttribute OPERATOR_NODE__ID

      The meta object literal for the 'Id' attribute feature.

    - #### OPERATOR_NODE__OPERATOR_NODE_TYPE

          static final org.eclipse.emf.ecore.EAttribute OPERATOR_NODE__OPERATOR_NODE_TYPE

      The meta object literal for the 'Operator Node Type' attribute feature.

    - #### OPERATOR_NODE__NAME

          static final org.eclipse.emf.ecore.EAttribute OPERATOR_NODE__NAME

      The meta object literal for the 'Name' attribute list feature.

    - #### OPERATOR_NODE__PARAMETERS

          static final org.eclipse.emf.ecore.EAttribute OPERATOR_NODE__PARAMETERS

      The meta object literal for the 'Parameters' attribute list feature.

    - #### OPERATOR_NODE__TOOLTIP

          static final org.eclipse.emf.ecore.EAttribute OPERATOR_NODE__TOOLTIP

      The meta object literal for the 'Tooltip' attribute list feature.

    - #### OPERATOR_NODE__CHILDREN

          static final org.eclipse.emf.ecore.EReference OPERATOR_NODE__CHILDREN

      The meta object literal for the 'Children' containment reference list feature.

    - #### OPERATOR_NODE__PARENT

          static final org.eclipse.emf.ecore.EReference OPERATOR_NODE__PARENT

      The meta object literal for the 'Parent' container reference feature.

    - #### METHOD

          static final org.eclipse.emf.ecore.EClass METHOD

      The meta object literal for the '`Method`' class.
      See Also:
        `MethodImpl`, `OperationsmodelPackageImpl.getMethod()`

    - #### METHOD__NAME

          static final org.eclipse.emf.ecore.EAttribute METHOD__NAME

      The meta object literal for the 'Name' attribute list feature.

    - #### METHOD__PARAMETERS

          static final org.eclipse.emf.ecore.EAttribute METHOD__PARAMETERS

      The meta object literal for the 'Parameters' attribute list feature.

    - #### METHOD__TOOLTIP

          static final org.eclipse.emf.ecore.EAttribute METHOD__TOOLTIP

      The meta object literal for the 'Tooltip' attribute list feature.

    - #### EXTENDED_OPERATOR_SET

          static final org.eclipse.emf.ecore.EClass EXTENDED_OPERATOR_SET

      The meta object literal for the '`Extended Operator Set`' class.
      See Also:
        `ExtendedOperatorSetImpl`, `OperationsmodelPackageImpl.getExtendedOperatorSet()`

    - #### EXTENDED_OPERATOR_SET__LANGUAGE_CODE

          static final org.eclipse.emf.ecore.EAttribute EXTENDED_OPERATOR_SET__LANGUAGE_CODE

      The meta object literal for the 'Language Code' attribute list feature.

    - #### EXTENDED_OPERATOR_SET__STAND_ALONE_FOLDER_NAME

          static final org.eclipse.emf.ecore.EAttribute EXTENDED_OPERATOR_SET__STAND_ALONE_FOLDER_NAME

      The meta object literal for the 'Stand Alone Folder Name' attribute list feature.

    - #### EXTENDED_OPERATOR_SET__STAND_ALONE_EXTENSIONS

          static final org.eclipse.emf.ecore.EReference EXTENDED_OPERATOR_SET__STAND_ALONE_EXTENSIONS

      The meta object literal for the 'Stand Alone Extensions' containment reference list feature.

    - #### EXTENDED_OPERATOR_SET__TYPE_EXTENSIONS

          static final org.eclipse.emf.ecore.EReference EXTENDED_OPERATOR_SET__TYPE_EXTENSIONS

      The meta object literal for the 'Type Extensions' containment reference list feature.

    - #### EXTENDED_OPERATOR_SET__SERVICE_CALLOUTS

          static final org.eclipse.emf.ecore.EReference EXTENDED_OPERATOR_SET__SERVICE_CALLOUTS

      The meta object literal for the 'Service Callouts' containment reference list feature.

    - #### STAND_ALONE_EXTENSION

          static final org.eclipse.emf.ecore.EClass STAND_ALONE_EXTENSION

      The meta object literal for the '`Stand Alone Extension`' class.
      See Also:
        `StandAloneExtensionImpl`, `OperationsmodelPackageImpl.getStandAloneExtension()`

    - #### STAND_ALONE_EXTENSION__NAME

          static final org.eclipse.emf.ecore.EAttribute STAND_ALONE_EXTENSION__NAME

      The meta object literal for the 'Name' attribute list feature.

    - #### STAND_ALONE_EXTENSION__METHODS

          static final org.eclipse.emf.ecore.EReference STAND_ALONE_EXTENSION__METHODS

      The meta object literal for the 'Methods' containment reference list feature.

    - #### TYPE_EXTENSION

          static final org.eclipse.emf.ecore.EClass TYPE_EXTENSION

      The meta object literal for the '`Type Extension`' class.
      See Also:
        `TypeExtensionImpl`, `OperationsmodelPackageImpl.getTypeExtension()`

    - #### TYPE_EXTENSION__TYPE

          static final org.eclipse.emf.ecore.EAttribute TYPE_EXTENSION__TYPE

      The meta object literal for the 'Type' attribute feature.

    - #### TYPE_EXTENSION__METHODS

          static final org.eclipse.emf.ecore.EReference TYPE_EXTENSION__METHODS

      The meta object literal for the 'Methods' containment reference list feature.

    - #### SERVICE_CALLOUT

          static final org.eclipse.emf.ecore.EClass SERVICE_CALLOUT

      The meta object literal for the '`Service Callout`' class.
      See Also:
        `ServiceCalloutImpl`, `OperationsmodelPackageImpl.getServiceCallout()`

    - #### SERVICE_CALLOUT__NAME

          static final org.eclipse.emf.ecore.EAttribute SERVICE_CALLOUT__NAME

      The meta object literal for the 'Name' attribute list feature.

    - #### SERVICE_CALLOUT__METHODS

          static final org.eclipse.emf.ecore.EReference SERVICE_CALLOUT__METHODS

      The meta object literal for the 'Methods' containment reference list feature.

    - #### OPERATOR_NODE_TYPE

          static final org.eclipse.emf.ecore.EEnum OPERATOR_NODE_TYPE

      The meta object literal for the '`Operator Node Type`' enum.
      See Also:
        `OperatorNodeType`, `OperationsmodelPackageImpl.getOperatorNodeType()`

    - #### EXTENDED_OPERATOR_TYPE

          static final org.eclipse.emf.ecore.EEnum EXTENDED_OPERATOR_TYPE

      The meta object literal for the '`Extended Operator Type`' enum.
      See Also:
        `ExtendedOperatorType`, `OperationsmodelPackageImpl.getExtendedOperatorType()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.